import slim
import slimPre

pathin = '/home/2/jc231398/TorresStrait/'

### Mesh and bathymetry
mesh_file_name = pathin + "Mesh/torresV2.msh"

data_dir_base = pathin   + 'Prepro/2015_2016_1/'
data_dir      = data_dir_base + '0/'
domain = slim.Domain(mesh_file_name, data_dir_base + 'bathymetry_smooth/bathymetry_smooth.idx')

### Equations                                              Set ten hours before. Coordinated Universal Time (UTC) to Australian Eastern Standard Time.    
eq = slim.ShallowWater2d(domain, 'implicit', initial_time='2015-08-28 14:00:00', final_time='2016-02-28 14:00:00')
eq.set_dissipation('manning',(data_dir + 'manning.nc','manning'))
eq.set_viscosity('smagorinsky')
eq.set_coriolis((data_dir + 'coriolis.nc', 'coriolis'))
eq.set_wind_stress('speed', (data_dir + 'wind.nc','u'), (data_dir + 'wind.nc','v'), 1.225)

# Boundary conditions
eq.set_boundary_coast('coast', slip=False)
eq.set_boundary_open(
    ['west','north_east', 'coral_sea', 'south_east', 'south_west'],
    sse=(data_dir + 'open_bnd.nc','eta'),
    ux = (data_dir + 'open_bnd.nc','u'),
    uy = (data_dir + 'open_bnd.nc','v'),
    transport_flux=True,
    ramp_period=2*24*3600) #2 day ramp

### Time loop
loop=slim.Loop(maximum_time_step=300., export_time=1800., path= pathin + 'Hydro/2015_2016', export_format='vtk')
loop.add_equation(eq)
loop.run()
